# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{10,11} )
DISTUTILS_USE_PEP517=setuptools

inherit distutils-r1

DESCRIPTION="Fava is a web interface for the double-entry bookkeeping software Beancount."
HOMEPAGE="https://github.com/beancount/fava"
EGIT_REPO_URI="https://github.com/beancount/fava.git"
EGIT_COMMIT="v${PV}"
inherit git-r3

#SRC_URI="https://github.com/beancount/fava/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
	dev-python/Babel
	dev-python/flask-babel
	dev-python/flask
	dev-python/jinja
	dev-python/werkzeug
	app-office/beancount
	dev-python/cheroot
	dev-python/click
	dev-python/markdown2
	dev-python/ply
	dev-python/simplejson"
RDEPEND="${DEPEND}"
BDEPEND=""

# Because I have no idea...
RESTRICT="test"

src_compile() {
	cd ${S}
	emake
}
